name: Build and Bundle Gleam App
run-name: ${{ gitea.actor }} pushed a commit

on:
  push:
    branches:
      - "**" # Triggers on every commit to any branch

jobs:
  build-and-bundle:
    runs-on: ubuntu-latest
    container:
      # Replace this with the path to the image you built and pushed
      image: jaypoch/lumabuilder:latest

    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      - name: Install JS dependencies
        run: npm install

      - name: Build Gleam to JavaScript
        run: gleam build --target javascript

      - name: Build bundle
        run: |
          ./node_modules/.bin/esbuild \
            build/dev/javascript/markdown2/markdown2.mjs \
              --bundle \
              --outfile=parser.js \
              --format=iife \
              --global-name=App
